package sample;

import com.epam.reportportal.testng.ReportPortalTestNGListener;
import listeners.ScreenshotListener;
import org.testng.annotations.DataProvider;
import org.testng.annotations.Listeners;
import org.testng.annotations.Test;

import java.util.Iterator;
import java.util.stream.IntStream;

@Listeners({ReportPortalTestNGListener.class, ScreenshotListener.class})
public class SampleTest extends AbstractTest {

    @Test(description = "bestTestEver", threadPoolSize = 10, dataProviderClass = SampleTest.class, dataProvider = "dp")
    void test1(int i) throws InterruptedException {
        testBody();
    }

    @DataProvider(parallel = true)
    Iterator<Object[]> dp() {
        return IntStream.range(0, 50).mapToObj(i -> new Object[]{i}).iterator();
    }
}
